/**
 *******************************************************************************
 * @file    tmpm330_fc.h
 * @brief   This file provides all the functions prototypes for FC driver.
 * @version V2.1.0.2
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM330_FC_H
#define __TMPM330_FC_H

#ifndef TSB_M330FDFG
#define TSB_M330FDFG
#endif                          /* TSB_M330FDFG */

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "TMPM330.h"
#include "tx03_common.h"

#if defined(__TMPM330_FC_H) || defined(__TMPM332_FC_H) || defined(__TMPM333_FC_H)
/** @addtogroup TX03_Periph_Driver
  * @{
  */

/** @addtogroup FC
  * @{
  */

/** @addtogroup FC_Exported_types
  * @{
  */
#if defined(__TMPM330_FC_H) || defined(__TMPM333_FC_H)
#if defined(TSB_M330FDFG) || defined(TSB_M333FDFG)
    typedef enum {
        FC_BLOCK_0 = 0,
        FC_BLOCK_1 = 1,
        FC_BLOCK_2 = 2,
        FC_BLOCK_3 = 3,
        FC_BLOCK_4 = 4,
        FC_BLOCK_5 = 5
    } FC_BlockNum;

#define IS_FC_BLOCK_NUM(param)  (((param) == FC_BLOCK_0)|| \
                                 ((param) == FC_BLOCK_1)|| \
                                 ((param) == FC_BLOCK_2)|| \
                                 ((param) == FC_BLOCK_3)|| \
                                 ((param) == FC_BLOCK_4)|| \
                                 ((param) == FC_BLOCK_5))

#endif                          /* (TSB_M330FDFG) || (TSB_M333FDFG) */
#elif defined(__TMPM332_FC_H)
#ifdef TSB_M332FWUG
    typedef enum {
        FC_BLOCK_0 = 0,
        FC_BLOCK_1 = 1,
        FC_BLOCK_2 = 2,
        FC_BLOCK_3 = 3
    } FC_BlockNum;

#define IS_FC_BLOCK_NUM(param)  (((param) == FC_BLOCK_0)|| \
                                 ((param) == FC_BLOCK_1)|| \
                                 ((param) == FC_BLOCK_2)|| \
                                 ((param) == FC_BLOCK_3))
#endif                          /* (TSB_M332FWUG) */
#endif                          /* (__TMPM330_FC_H) */
/** @} */
/* End of group FC_Exported_types */

/** @defgroup FC_Exported_FunctionPrototypes
  * @{
  */

    void FC_SetSecurityBit(FunctionalState NewState);
    FunctionalState FC_GetSecurityBit(void);
    WorkState FC_GetBusyState(void);
    FunctionalState FC_GetBlockProtectState(FC_BlockNum BlockNum);

/** @} */
/* End of group FC_Exported_FunctionPrototypes */

/** @} */
/* End of group FC */

/** @} */
/* End of group TX03_Periph_Driver */
#endif                          /*(__TMPM330_FC_H) || (__TMPM332_FC_H) || (__TMPM333_FC_H) */

#ifdef __cplusplus
}
#endif
#endif                          /* __TMPM330_FC_H */
