/**
 *******************************************************************************
 * @file    main.c
 * @brief   The application functions of ADC_Data_Read demo for the
 *          TOSHIBA 'TMPM330' Device Series 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "main.h"
/**
  * @brief  main function.
  * @param  None
  * @retval None
  */

int main(void)
{
    LCD_Configuration();
    LCD_Light(ON);

    ADC_Init();                 /*Initialize the ADC module */
    ADC_Start();                /*start ADC */
    NVIC_EnableIRQ(INTAD_IRQn); /*enable ADC Interrupt */

    for (;;) {
        if (fIntADC == 1U) {    /*wait for Interrupt flag */
            fIntADC = 0U;
            ADC_Display();      /*display ADC value on LCD */
        }
    }
}

/**
  * @brief  Deal with the error parameter
  * @param  file: Pointer to the file where the error parameter locates
  * @param  line: Number of the line in which the error parameter locates
  * @retval None
  */
#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
