/**
 *******************************************************************************
 * @file    main.h
 * @brief   The header file for main routine of SBI EEPROM demo for the
 *          TOSHIBA 'TMPM330' Application Notes 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm330_gpio.h"
#include "tmpm330_sbi.h"
#include "tmpm330_int.h"
#include "lcd.h"
#include "uart.h"
#include "key.h"
#include <string.h>
#include <stdio.h>
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
#define SELF_ADDR       0xE0U
#define SELF_SLV_ADDR   0xB0U   /* slave address for slave mode */
#define EEPROM_ADDR     0xA0U   /* EEPROM address */
#define SUB_ADDR        0x00U
#define SBI_I2C_SEND    ((uint32_t)0x00000000)
#define SBI_I2C_RECEIVE ((uint32_t)0x00000001)
#define LENGTH          8U
#define SBI_BUFFER_SIZE 16U

#define TWOKB           ((uint8_t)16)   /* 2048 (bits) / 1 (byte) / 16 (bytes/time) = 16 (times) */
#define SIZE            ((uint8_t)16)
#define SET             0x01U   /* flag is set */
#define CLEAR           0x00U   /* flag is cleared */
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
extern char gSIORxBuffer[];
extern char gSBIRxBuffer[];
extern char gSBITxBuffer[];
/* Private function prototypes -----------------------------------------------*/
void ClearBuffer(char *, uint8_t);
void UART0_IO_Configuration(void);
void SBI2_IO_Configuration(void);
void Key_WaitRelease(uint8_t key);

#endif
/*********************************** END OF FILE ******************************/
