/**
 *******************************************************************************
 * @file    tmpm330_int.h
 * @brief   The header file for ISRs of
 *          TOSHIBA 'TMPM330' Application Notes 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM330_INT_H
#define __TMPM330_INT_H
/* Includes ------------------------------------------------------------------*/
#include "main.h"
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* External variables --------------------------------------------------------*/
extern char gSIORxBuffer[];
extern char gSIOTxBuffer[];
extern uint8_t fSIO0_INT;
extern uint8_t gSIORdIndex;
extern uint8_t gSIOWrIndex;

extern uint32_t gI2C_WCnt;
extern uint32_t gI2C_RCnt;
extern uint32_t gI2C_TxDataLen;
extern uint32_t gI2C_TxData[16];
extern uint32_t gI2C_RxDataLen;
extern char gI2C_RxData[16];
/* Private function prototypes -----------------------------------------------*/
void NmiSR(void);
void FaultISR(void);
void SVCallISR(void);
void Int_HINTTX0(void);
void Int_HINTRX0(void);

void INTSBI2_IRQHandler(void);
#endif                          /* __TMPM330_INT_H */
/******************************** END OF FILE *********************************/
