/** 
 *******************************************************************************
 * @file    tmrb_tostring.c
 * @brief   the application functions of TMRB_PPG demo for the TOSHIBA
 *          'TMPM330' Device Series 
 * @version V1.002
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmrb_tostring.h"

/**
  * @brief  LeadingTiming Rate to String
  * @param  leadingtiming number
  * @retval LeadingTiming rate string
  */
char *LeadingTimingRateToString(uint8_t num)
{
    static char leadingtiming[18] = "LeadingTiming:   %";

    switch (num) {
    case 0:
        leadingtiming[6] = '1';
        leadingtiming[7] = '0';
        break;                  /* LeadingTiming: 10% */
    case 1:
        leadingtiming[6] = '2';
        leadingtiming[7] = '5';
        break;                  /* LeadingTiming: 25% */
    case 2:
        leadingtiming[6] = '5';
        leadingtiming[7] = '0';
        break;                  /* LeadingTiming: 50% */
    case 3:
        leadingtiming[6] = '7';
        leadingtiming[7] = '5';
        break;                  /* LeadingTiming: 75% */
    case 4:
        leadingtiming[6] = '9';
        leadingtiming[7] = '0';
        break;                  /* LeadingTiming: 90% */
    default:
        /* do nothing */
        break;                  /* no other cases */
    }

    return leadingtiming;
}
