/**
 ******************************************************************************
 * @file     key.c
 * @brief    KEY driver for the TOSHIBA 'TMPM330' Device Series
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
 /* Includes ------------------------------------------------------------------*/
#include "key.h"

/*******************************************************************************
* Function Name  : KEY_Configuration
* Description    : Config the GPIO to KEY 
* Input          : None 
* Return         : None.
*******************************************************************************/
void KEY_Configuration(void)
{
    TSB_PB->IE |= 0x00F0;
    TSB_PB->PUP |= 0x00F0;
}

/*******************************************************************************
* Function Name  : KEY_Get
* Description    : Get KEY Value
* Input          : ucKEY.
* Return         : KEY value.
*******************************************************************************/
uint8_t KEY_Get(uint8_t ucKEY)
{
    uint8_t ucVal = 0U;
    if (ucKEY & KEY1) {
        if (!TSB_PB_DATA_PB7) {
            ucVal |= 0x01;
        }
    }
    if (ucKEY & KEY2) {
        if (!TSB_PB_DATA_PB6) {
            ucVal |= 0x02;
        }
    }
    if (ucKEY & KEY3) {
        if (!TSB_PB_DATA_PB5) {
            ucVal |= 0x04;
        }
    }
    if (ucKEY & KEY4) {
        if (!TSB_PB_DATA_PB4) {
            ucVal |= 0x08;
        }
    }
    return (ucVal);
}
