/**
 *******************************************************************************
 * @file    tmpm330_wdt_int.c
 * @brief   All interrupt request functions definition of WDT
 *          for the TOSHIBA 'TMPM330' Device Series
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm330_wdt_int.h"
uint8_t Cnt = 0U;

/**
  * @brief  The NMI interrupt request function.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{

    volatile CG_NMIFactor RegVal = { 0U };
    RegVal = CG_GetNMIFlag();
    if (RegVal.Bit.WDT) {
        Cnt++;
        LED_Toggle(LED1);
        if (Cnt == 5U) {
            WDT_Disable();
            Cnt = 0U;
        } else {
            /* Do nothing */
        }
    } else {
        /* Do nothing */
    }
}
